Lisp de selección

Ver el tema anterior Ver el tema siguiente Ir abajo

Lisp de selección

Mensaje por carlosmgilp el Miér Ago 03, 2016 7:53 pm

Hola muchachos como están.

Disculpen como puedo arreglar este filtro de selección.

El funciona bien pero el problema viene cuando yo selecciono dentro del bloque, si hay algo fuera del bloque que tenga las mismas entidades y layer el me las selecciona.

Yo lo que quiero es entrar dentro del bloque (REFEDIT) y hacer la selección, pero que no me seleccione nada que este fuera del bloque.
Ya después de la selección sera procesado por un software aparte y el detecta que hay selección fuera del bloque.

Código:
(defun c:xxx  (/ seleccion)
  (setq seleccion (ssget '((-4 . "<or")
                        (-4 . "<and")
                        (0 . "polyline")
                        (8 . "malla,3dpoly")
                        (-4 . "and>")
                        (-4 . "<and")
                        (0 . "line")
                        (8 . "linea")
                        (-4 . "and>")
                        (-4 . "or>"))))
  (sssetfirst seleccion seleccion))

Aquí esta un archivo dwg para probarlo.
Hay un bloque y si se fijan, entran en el bloque y aplican el lisp y verán que queda seleccionado también lo que esta afuera.

https://www.dropbox.com/s/s4auek3vkl2ni2y/Seleccion.dwg?dl=0

Gracias.

carlosmgilp

Mensajes : 96
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Lisp de selección

Mensaje por SpeedCAD el Miér Feb 15, 2017 4:49 pm

Hola,

Lo que quieres hacer sera complicado porque la rutina deberá entrar a la edicion del bloque. Lo que yo haría seria la típica de explotar el bloque y luego rescatar los elementos, el explotar el bloque te devolverá una matriz de los elementos por lo que será fácil eliminarlos luego de extraer la información. No creo que sirva iterar a través de los objetos mediante vlax-for porque leerá los objetos de la definición del bloque.

Saludos

SpeedCAD

Mensajes : 7
Fecha de inscripción : 15/02/2017

Ver perfil de usuario

Volver arriba Ir abajo

Re: Lisp de selección

Mensaje por carlosmgilp el Vie Feb 17, 2017 1:30 am

Hola hermano como estas.

Te cuento que alguien me ayudo con lo de la seleccion, pero no recuerdo quien ni en donde. No fue algo dificil tampoco, Yo entro a editar el bloque, aplico el lisp y listo, selecciona lo que necesito dentro del bloque sin seleccionar nada por fuera.

Pero no lo consigo en este momento, lo tendre presente y apenas lo consiga te lo muestro.

carlosmgilp

Mensajes : 96
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Lisp de selección

Mensaje por SpeedCAD el Vie Feb 17, 2017 2:40 pm

Hola,

Pensé que la rutina tenia que hacer todo el trabajo, pero si siempre entrarás tu al editor de bloques no habrá problemas.

Saludos

SpeedCAD

Mensajes : 7
Fecha de inscripción : 15/02/2017

Ver perfil de usuario

Volver arriba Ir abajo

Re: Lisp de selección

Mensaje por carlosmgilp el Vie Feb 17, 2017 2:56 pm

Dale hermano gracias de todas maneras.

carlosmgilp

Mensajes : 96
Fecha de inscripción : 17/03/2016
Edad : 35
Localización : Venezuela

Ver perfil de usuario

Volver arriba Ir abajo

Re: Lisp de selección

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.